# Function process

- process(result): Process<{
  compilations: Project.LoadCompile.Compilation[];
  contracts: Project.LoadCompile.Contract[];
  }>

- For a compilation result from @truffle/workflow-compile/new, generate a sequence of GraphQL requests to submit to Truffle DB

  Returns a generator that yields requests to forward to Truffle DB. When calling `.next()` on this generator, pass any/all responses and ultimately returns nothing when complete.

  #### Parameters

  - ##### result: WorkflowCompileResult

  #### Returns Process<{
  compilations: Project.LoadCompile.Compilation[];
  contracts: Project.LoadCompile.Contract[];
  }>

  - Defined in packages/db/src/project/loadCompile/index.ts:51

Generated using TypeDoc